# Network Interface

## Network Interface

#### Required Phonegap plugins

cordova-plugin-networkinterface

## API Documentation

### Method Summary

#### getWiFiIPAddress

Get WIFI IP Address

**Params**

| Type     | Name            | Summary             | Required |
| -------- | --------------- | ------------------- | -------- |
| Function | callbackSuccess | on success callback | Optional |
| Function | callbackError   | on error callback   | Optional |

#### getCarrierIPAddress

Get Carrier IP Address

**Params**

| Type     | Name            | Summary             | Required |
| -------- | --------------- | ------------------- | -------- |
| Function | callbackSuccess | on success callback | Optional |
| Function | callbackError   | on error callback   | Optional |

#### getHttpProxyInformation

gets the relevant proxies for the passed URL

**Params**

| Type     | Name            | Summary                                                | Required |
| -------- | --------------- | ------------------------------------------------------ | -------- |
| String   | url             | url example: "[www.github.com](http://www.github.com)" | Required |
| Function | callbackSuccess | on success callback                                    | Optional |
| Function | callbackError   | on error callback                                      | Optional |

## Example Usage

```javascript
plugins.svyphonegapNetworkinterface.getWiFiIPAddress(getWifiIP, error)

function getWifiIP(data) {
	application.output("WIFI IP ADDRESS: " + data.ip);
}

function error() {
	application.output("Failed to get WIFI IP Address");
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/guides/develop/programming-guide/extensions/modules/svyphonegap/network-interface.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
